Loading...
Searching...
No Matches
peripheral::DeviceManager::DeviceTypeInfo Struct Reference

Peripheral device type info. More...

## Public Attributes

sensors::Sensor TypeSpec | type
| Device (sensor) type.
boolean | isActuator
| Is actuator or not.
string | identifier
| Device type identifier.
string | name
| Device type display name.
sensors::NumericSensor Range | defaultRange
| Default sensor range (numeric sensors only)
int | defaultDecDigits
| Default sensor precision (numeric sensors only)

## Detailed Description

Peripheral device type info.

Definition at line 51 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## defaultDecDigits

int peripheral::DeviceManager::DeviceTypeInfo::defaultDecDigits

Default sensor precision (numeric sensors only)

Definition at line 57 of file PeripheralDeviceManager.idl.

## defaultRange

sensors::NumericSensor Range peripheral::DeviceManager::DeviceTypeInfo::defaultRange

Default sensor range (numeric sensors only)

Definition at line 56 of file PeripheralDeviceManager.idl.

## identifier

string peripheral::DeviceManager::DeviceTypeInfo::identifier

Device type identifier.

Definition at line 54 of file PeripheralDeviceManager.idl.

## isActuator

boolean peripheral::DeviceManager::DeviceTypeInfo::isActuator

Is actuator or not.

Definition at line 53 of file PeripheralDeviceManager.idl.

## name

string peripheral::DeviceManager::DeviceTypeInfo::name

Device type display name.

Definition at line 55 of file PeripheralDeviceManager.idl.

## type

sensors::Sensor TypeSpec peripheral::DeviceManager::DeviceTypeInfo::type

Device (sensor) type.

Definition at line 52 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl